# $Revision: 1.43 $, $Date: 2002/10/28 10:10:22 $
Summary:	Network UPS Tools
Summary(pl):	Sieciowe narzdzie do UPS-w
Summary(ru):	NUT - Network UPS Tools
Summary(uk):	NUT - Network UPS Tools
Name:		nut
Version:	1.0.0
Release:	4
License:	GPL
Group:		Applications/System
Source0:	http://www.exploits.org/nut/release/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-upsmon.init
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-client.patch
Patch2:		%{name}-fideltronik.patch
URL:		http://www.exploits.org/nut/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gd-devel >= 2.0.1
BuildRequires:	libpng-devel
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	smartupstools

%define		_sysconfdir	/etc/ups

%description
These programs are part of a developing project to monitor the
assortment of UPSes that are found out there in the field. Many models
have serial serial ports of some kind that allow some form of state
checking. This capability has been harnessed where possible to allow
for safe shutdowns, live status tracking on web pages, and more.

%description -l pl
Te programy s czci projektu do monitorowania wielu UPS-w w jakim
otoczeniu. Wiele modeli ma porty szeregowe i pozwala na jak form
sprawdzania stanu. Ta funkcjonalno pozwala na bezpieczne
zatrzymywanie systemw, sprawdzanie stanu zasilania przez WWW i inne.

%description -l ru
  -      UPS.  
   ,    
UPS.    ,   , 
   ,  
   ..

%description -l uk
      Φ ҦΦ UPS.
   ҦΦ ,   צ  
UPS.  צ  ,   ,  
  'Ҧ, צ̦   ,
.

%package client
Summary:	Multi-vendor UPS Monitoring Project Client Utilities
Summary(pl):	Narzdzia klienckie do monitorowania UPS-w
Summary(uk):	Network UPS Tools - ̦˦ ̦ Φ
Summary(ru):	Network UPS Tools -   
Group:		Applications/System
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig

%description client
This package includes the client utilities that are required to
monitor a UPS that the client host is plugged into but monitored via
serial cable by another host on the network....

%description client -l pl
Ten pakiet zawiera narzdzia kliencie potrzebne do monitorowania UPS-a
do ktrego podczony jest komputer kliencki, kiedy kabel szeregowy
UPS-a jest podczony do innego komputera w sieci.

%description client -l ru
    ,   
UPS,      ,  UPS 
     .

%description client -l uk
   ̦˦ ̦, ҦΦ  Φ UPS, 
 ̦   ,  UPS Ʀ Ц 
 '  ֦.

%package cgi
Summary:	Multi-vendor UPS Monitoring Project Server - CGI utils
Summary(pl):	Narzdzia CGI do monitorowania UPS-w
Summary(ru):	Network UPS Tools - CGI 
Summary(uk):	Network UPS Tools - CGI ̦
Group:		Applications/System

%description cgi
These programs are part of a developing project to monitor the
assortment of UPSes that are found out there in the field. Many models
have serial serial ports of some kind that allow some form of state
checking. This capability has been harnessed where possible to allow
for safe shutdowns, live status tracking on web pages, and more. This
package contains CGI utils.

%description cgi -l pl
Te programy s czci projektu do monitorowania wielu UPS-w w jakim
otoczeniu. Wiele modeli ma porty szeregowe i pozwala na jak form
sprawdzania stanu. Ta funkcjonalno pozwala na bezpieczne
zatrzymywanie systemw, sprawdzanie stanu zasilania przez WWW i inne.
Ten pakiet zawiera narzdzia CGI.

%description cgi -l ru
   CGI       
UPS  -.

%description cgi -l uk
   CGI     æ  
UPS  -.

%package devel
Summary:	Files for NUT clients development
Summary(pl):	Pliki do tworzenia klientw NUT-a
Group:		Development/Libraries
# it does NOT require nut

%description devel
Object file and header for developing NUT clients.

%description devel -l pl
Plik wynikowy oraz nagwek suce do tworzenia klientw NUT-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install %{_datadir}/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure \
	--with-cgi \
	--with-linux-hiddev=%{_includedir}/linux/hiddev.h \
	--with-statepath=%{_var}/lib/ups \
	--with-drvpath=%{_libdir}/nut \
	--with-cgipath=/home/services/httpd/cgi-bin \
	--with-user=nobody \
	--with-group=ttyS
%{__make} all cgi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/{sysconfig,rc.d/init.d},/var/lib/ups} \
	$RPM_BUILD_ROOT{%{_libdir}/nut,%{_includedir}}

%{__make} install install-cgi \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ups
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ups
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/upsmon

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/*
install conf/*.users conf/*.conf $RPM_BUILD_ROOT%{_sysconfdir}

install clients/upsfetch.o $RPM_BUILD_ROOT%{_libdir}
install clients/upsfetch.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ups
if [ -f /var/lock/subsys/ups ]; then
	/etc/rc.d/init.d/ups restart >&2
else
	echo "Run \"/etc/rc.d/init.d/ups start\" to start NUT ups daemon."
fi

%post client
/sbin/chkconfig --add upsmon
if [ -f /var/lock/subsys/upsmon ]; then
	/etc/rc.d/init.d/upsmon restart >&2
else
	echo "Run \"/etc/rc.d/init.d/upsmon start\" to start NUT upsmon daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/ups ]; then
		/etc/rc.d/init.d/ups stop >&2
	fi
	/sbin/chkconfig --del ups
fi

%preun client
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/upsmon ]; then
		/etc/rc.d/init.d/upsmon stop >&2
	fi
	/sbin/chkconfig --del upsmon
fi

%files
%defattr(644,root,root,755)
%doc NEWS README CHANGES CREDITS docs/*
%attr(755,root,root) %{_bindir}/upscmd
%attr(755,root,root) %{_bindir}/upslog
%attr(755,root,root) %{_sbindir}/upsd
%config(noreplace) /etc/sysconfig/ups
%attr(754,root,root) /etc/rc.d/init.d/ups
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/upsd.conf
%attr(640,root,nobody) %config(noreplace) %{_sysconfdir}/ups.conf
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/upsd.users
%{_mandir}/man5/*
%{_mandir}/man8/*
%dir %attr(750,nobody,root) /var/lib/ups
%dir %attr(755,root,root) %{_libdir}/nut
%attr(755,root,root) %{_libdir}/nut/*

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/upsc
%attr(755,root,root) %{_bindir}/upsct
%attr(755,root,root) %{_bindir}/upsct2
%attr(755,root,root) %{_sbindir}/upsmon
%attr(755,root,root) %{_sbindir}/upssched
%attr(755,root,root) %{_sbindir}/upssched-cmd
%attr(754,root,root) /etc/rc.d/init.d/upsmon
%attr(600,root,root) %config(noreplace) %{_sysconfdir}/upsmon.conf
%attr(600,root,root) %config(noreplace) %{_sysconfdir}/upssched.conf

%files cgi
%defattr(644,root,root,755)
%attr(755,root,root) /home/services/httpd/cgi-bin/*.cgi
%config(noreplace) %{_sysconfdir}/hosts.conf
%config(noreplace) %{_sysconfdir}/multimon.conf
%config(noreplace) %{_sysconfdir}/upsset.conf

%files devel
%defattr(644,root,root,755)
%{_libdir}/upsfetch.o
%{_includedir}/upsfetch.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nut.spec,v $
Revision 1.43  2002/10/28 10:10:22  orzech
- fixed broken init
- rel. 5, STBR

Revision 1.42  2002/10/09 13:37:28  orzech
- fixed init script
- rel.3, STBR

Revision 1.41  2002/09/16 22:21:37  orzech
- fideltronik patch fixed, now works

Revision 1.40  2002/09/16 10:53:19  orzech
- trying to get nut working with Fideltronik Ares, need testing
- adaterized

Revision 1.39  2002/08/22 02:39:50  kloczek
- merge translations from KSI and adapterize spec file.

Revision 1.38  2002/08/21 11:34:45  misiek
- merged DEVEL

Revision 1.37.2.4  2002/08/20 13:32:22  misiek
- 1.0.0 version, yeay

Revision 1.37.2.3  2002/08/16 15:53:35  misiek
- updated to 0.99.2

Revision 1.37.2.2  2002/08/16 11:44:15  misiek
- allow ups.conf to be read bu nobodu group

Revision 1.37.2.1  2002/08/13 17:54:18  misiek
- 0.99 series

Revision 1.37  2002/05/21 23:14:16  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/05/04 21:44:26  qboosh
- added -devel (static object + header file) for NUT clients
- release 3

Revision 1.35  2002/04/12 18:44:47  kloczek
- updated to 0.45.5 (many bugfixes).

Revision 1.34  2002/04/12 10:50:59  roman
- moved all ups driver programs to /usr/lib/nut (to avoid conflicts with package sms)
- raised release number
- STBR

Revision 1.33  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/24 05:58:10  kloczek
- release 2.

Revision 1.30  2002/01/22 13:06:14  ankry
- added Obsoletes: smartupstools

Revision 1.29  2002/01/18 02:14:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/11/22 12:05:16  zagrodzki
- updated to 0.45.2
- STB

Revision 1.27  2001/09/25 10:39:33  qboosh
- remaining pl description

Revision 1.26  2001/09/25 09:56:37  qboosh
- release 4: base and -client Prereq: /sbin/chkconfig

Revision 1.25  2001/09/04 13:03:06  zagrodzki
- added all configuration files

Revision 1.24  2001/08/28 11:38:47  zagrodzki
- rel 2
- updated all sysconfig and init files
- fixed UID/GID in ./configure (now nobody/ttyS)

Revision 1.23  2001/08/22 00:42:45  kloczek
- updated to 0.45.1,
- removed obsoleted patches,
- updated %files list.

Revision 1.22  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.20  2001/07/19 01:26:55  kloczek
- release 3,
- merge some rawhide patches,
- fix ac (remove all silly thing from try find libgd),
- regenerate ac files (spec is ac 2.5x ready),
- rebuild against gd 2.0.1.

Revision 1.19  2001/07/03 07:09:57  kloczek
- release 1,
- Prereq for chkconfig changed to rc-scripts,
- cosmetics.

Revision 1.18  2001/07/02 15:04:59  bszx
- updated to 0.45.0
- added driver for UPS EVER

Revision 1.17  2001/04/04 19:57:29  kloczek
- release 2: spec adapterized.

Revision 1.16  2001/02/20 15:19:24  mkierus
- fix some error paths from %{_bindir} to %{_sbindir} (upsd upsmon upssched)

Revision 1.15  2001/01/17 11:08:48  kloczek
- updated to 0.44.2.

Revision 1.14  2000/12/22 06:30:36  kloczek
- updated to 0.44.1,
- added gzipping %doc,
- added powercom.8 to main,
- correct saparation betwwen main servvice files and clintent subpackage
  (now client subpackage is not required by main package),
- added Require nut by cgi subpackage,
- added DESTDIR style install (DESTDIR patch added too),
- fixed %post/%preun scripts and removed fileutils fron Prereq,
- 755 on cgi files,
- added BuidRequires rules.

Revision 1.13  2000/12/21 15:12:37  baggins
- updated to 0.43.2

Revision 1.12  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.11  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.10  2000/09/29 12:09:51  yaro
- added PLD-like init

Revision 1.9  2000/09/29 10:34:41  yaro
- fixed conf dir (was /etc/ups/ups/)
- moved cgi to cgi-bin

Revision 1.8  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.5  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.3  2000/02/07 23:38:49  kloczek
more work:
- package name nocgi changed to cgi and moved to them cgi scripts,
- updated to 0.43.0,
- full %attr description in %files.
still NFY.

Revision 1.2  2000/02/07 02:04:16  kloczek
- partialy rewrited .. not finished yet.

Spec based on vesion by <bo-rpm@vircio.com>
